# Migrate settings from source tenant to target tenant To migrate the selected configuration of a tenant in Deployment Manager migration while using template from the compare screen. Endpoint: POST /deployment-manager/deployment_artifacts/deploy Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `tenant` (string, required) Customers need to specify tenant ID in query parameter. ## Request fields (application/json): - `comments` (string) - `description` (string, required) Description of the migration. Example: "Migration from/to Sandbox" - `emailIds` (string) List of Emails with comma separator. Example: "abcd@zuora.com,xyz@zuora.com" - `entityUuid` (string, required) Entity UUID Example: 11111 - `metaData` (object) Json node object contains metadata. - `name` (string, required) Name of the migration. Example: "Job A" - `request` (array) List of settings need to be migrated. Example: "ST 4" - `request.attribute` (string) - `request.componentType` (string) Type of selected components to be migrated. - `request.currentTargetResponse` (object) Json node object contains metadata. - `request.description` (string) - `request.disabled` (string) - `request.errorMessage` (string) Error information. - `request.httpMethods` (string) - `request.id` (string) - `request.key` (string) - `request.migratedOn` (string) It is the time when migration is triggered. - `request.migrationId` (string) Migration ID. It is generated at the time of triggering deployment. - `request.pathPattern` (string) PathPattern of component. - `request.previousTargetResponse` (object) Json node object contains metadata. - `request.result` (string) Returns the result details of Components. - `request.segregationKey` (string) Displays the differences between components. - `request.sourceResponse` (object) Json node object contains metadata. - `request.status` (string) Returns the status of each component. - `request.updateStatus` (string) Updated Status. - `sendEmail` (boolean, required) Flag determines whether or not to send an email. Example: true ## Response 200 fields (application/json): - `emailIds` (string) List of Emails with comma separator - `environment` (string) Environment information - `id` (string, required) Variable to hold the job ID. - `migratedBy` (string, required) User responsible for migration. Example: "Jane Cooper" - `migrationDescription` (string, required) Description of the migration. Example: "Migration from/to Sandbox" - `migrationEnd` (string, required) Timestamp when migration ended. Example: "2020-11-01 18:00:00" - `migrationName` (string, required) Name of the migration. Example: "Job A" - `migrationStart` (string, required) Timestamp when migration started. Example: "2020-11-01 18:00:00" - `response` (array) - `response.attribute` (string) - `response.componentType` (string) Type of selected components to be migrated. - `response.currentTargetResponse` (object) Json node object contains metadata. - `response.description` (string) - `response.disabled` (string) - `response.errorMessage` (string) Error information. - `response.httpMethods` (string) - `response.id` (string) - `response.key` (string) - `response.migratedOn` (string) It is the time when migration is triggered. - `response.migrationId` (string) Migration ID. It is generated at the time of triggering deployment. - `response.pathPattern` (string) PathPattern of component. - `response.previousTargetResponse` (object) Json node object contains metadata. - `response.result` (string) Returns the result details of Components. - `response.segregationKey` (string) Displays the differences between components. - `response.sourceResponse` (object) Json node object contains metadata. - `response.status` (string) Returns the status of each component. - `response.updateStatus` (string) Updated Status. - `sourceTenantDescription` (string, required) Source Tenant Description. Example: "Duno" - `sourceTenantName` (string, required) Source Tenant Name. Example: "Duno" - `status` (string, required) Status of the Migration Job. Example: "IN PROGRESS" - `type` (string) ## Response 400 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 401 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 403 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 201 fields